#pragma once
#include "../../stdafx.h"
#include "../glLibError.h"
#include "../glLibLocals.h"
#include "glLibObject.h"

class glLibObjectMeta : public glLibObject {
	public:
	private:
		map<string,float*> _points;
		bool _needs_update;

	public:
		glLibObjectMeta(unsigned long grid_res[3]);
		~glLibObjectMeta();

		void add_point(const char* name, float point[3], float strength);
		void set_point_position(const char* name, float new_position[3]);
		void set_point_strength(const char* name, float new_strength);
		void remove_point(const char* name);
};